This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 965509 - Anaconda doesn't say what's wrong if user submits invalid username in text mode
Anaconda doesn't say what's wrong if user submits invalid username in text mode
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
21
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Samantha N. Bueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-21 06:14 EDT by Martin Banas
Modified: 2014-11-17 13:19 EST (History)
7 users (show)

See Also:
Fixed In Version: anaconda-21.48.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-17 13:19:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (12.12 KB, text/plain)
2013-05-21 06:19 EDT, Martin Banas
no flags Details
ifcfg.log (486 bytes, text/plain)
2013-05-21 06:19 EDT, Martin Banas
no flags Details
packaging.log (11.44 KB, text/plain)
2013-05-21 06:19 EDT, Martin Banas
no flags Details
program.log (17.17 KB, text/plain)
2013-05-21 06:19 EDT, Martin Banas
no flags Details
storage.log (85.90 KB, text/plain)
2013-05-21 06:20 EDT, Martin Banas
no flags Details
storage.state (20.00 KB, application/octet-stream)
2013-05-21 06:20 EDT, Martin Banas
no flags Details
syslog (66.07 KB, text/plain)
2013-05-21 06:20 EDT, Martin Banas
no flags Details

  None (edit)
Description Martin Banas 2013-05-21 06:14:47 EDT
Description of problem:
If user inputs invalid username in user creation spoke, anaconda will not tell what's wrong, and also will not print any requirements for username

Version-Release number of selected component (if applicable):
Fedora-19-Beta-RC2
anaconda-19.28

How reproducible:
always

Steps to Reproduce:
1. Start text mode installation
2. Proceed to user creation spoke
3. Input "John" as username for new user

Actual results:
If username is not correct, anaconda just prints:
Enter new value for 'Username' and press enter.

Expected results:
Anaconda should inform user about what's wrong, and provide some hint how to fix the issue.

Additional info:
Comment 1 Martin Banas 2013-05-21 06:19:40 EDT
Created attachment 750971 [details]
anaconda.log
Comment 2 Martin Banas 2013-05-21 06:19:45 EDT
Created attachment 750972 [details]
ifcfg.log
Comment 3 Martin Banas 2013-05-21 06:19:50 EDT
Created attachment 750973 [details]
packaging.log
Comment 4 Martin Banas 2013-05-21 06:19:55 EDT
Created attachment 750974 [details]
program.log
Comment 5 Martin Banas 2013-05-21 06:20:00 EDT
Created attachment 750975 [details]
storage.log
Comment 6 Martin Banas 2013-05-21 06:20:06 EDT
Created attachment 750976 [details]
storage.state
Comment 7 Martin Banas 2013-05-21 06:20:11 EDT
Created attachment 750977 [details]
syslog
Comment 8 Samantha N. Bueno 2014-07-31 06:18:34 EDT
Patches pushed to master and f21-branch.
Comment 9 Samantha N. Bueno 2014-11-17 13:19:01 EST
This should be fixed now, closing.

Note You need to log in before you can comment on or make changes to this bug.